> For the complete documentation index, see [llms.txt](https://docs.wpjobopenings.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wpjobopenings.com/developers/hooks/filters/job-filter.md).

# Job Filter

### **`awsm_jobs_search_field_placeholder`**

Filters the search field placeholder text.

This hook is available since Version 1.6.0

#### **Parameters**

* **$text**

  (string) Placeholder tex&#x74;**.**

#### **Source code**

File:  *`/inc/class-awsm-job-openings-filters.php`*

### **`awsm_jobs_search_field_content`**

Filters the search field content.

This hook is available since Version 1.6.0

#### **Parameters**

* **$search\_content**

  (string) Search field content.

#### **Source code**

File:  *`/inc/class-awsm-job-openings-filters.php`*

### **`awsm_filter_spec_terms_args`**

Filter arguments for the specification terms in the job filter.

This hook is available since Version 2.0.0

#### **Parameters**

* **$terms\_args**

  (array) Array of arguments

#### **Source code**

File:  *`/inc/class-awsm-job-openings-filters.php`*

### **`awsm_filter_label`**

Filters the default label for the job filter.

This hook is available since Version 1.6.0

#### **Parameters**

* **$filter\_label**

  (string) Filter Label.
* **$taxonomy**

  (string) Taxonomy key
* **$tax\_details**

  (array) Taxonomy details.

#### **Source code**

File:  *`/inc/class-awsm-job-openings-filters.php`*

{% hint style="info" %}
**Code Snippets:** [**Remove 'All' prefix from the Job Filter**](/developers/code-snippets/remove-all-prefix.md)
{% endhint %}

### **`awsm_filter_content`**

Modify contents in filter form.

#### **Parameters**

* **$filter\_content**

  (string) Filter content
* **$available\_filters\_arr**

  (array) An array containing available filters.

#### **Source code**

File:  *`/inc/class-awsm-job-openings-filters.php`*

### `awsm_job_filter_option_content`

Filter the job filter dropdown option content.

This hook is available since Version 3.3.0\
\
**Parameters**

* **$option\_content**\
  (string) Filter dropdown option content.
* **$term**\
  Job spec term.
* **$taxonomy**\
  (string) Job spec key.

### `awsm_job_filter_dropdown_content`

Filter the job filter dropdown content.

This hook is available since Version 3.3.0

**Parameters**

* **$dropdown\_content**\
  (string) Filter dropdown content.

### `awsm_jobs_pro_admin_filter_content` (PRO)

Filters the admin filter content.

This hook is available since Version 3.1.0

**Parameters**

* **$filter\_content**\
  (string) Filter HTML content.
* **$taxonomy** \
  (string) The taxonomy.
* **$post\_type** \
  (string) The post type.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wpjobopenings.com/developers/hooks/filters/job-filter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
